> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/tournaments.md).

# Tournaments

This endpoint lists all tournaments for which you are licensed, and you have booked at least one event. With unlimited licences, you will see all tournaments and events as they are automatically booked for you

The `/tournaments` endpoint will display the following types of information on each tournament:

* City (LA)
* Location (California)
* Country (USA)
* Surface
* Year
* Environment (Indoors or outdoors)
* Name
* Number of matches
* Match Schedule Plan info (expected matches each day)
* Draw Sizes
* Start/End Date
* Competition IDs (2024-0540)
* Organisation (ATP/AELTC/USTA/FFT)

\
**We recommend that you request the `https://dde-api.data.srarena.io/tournaments` REST endpoint every 12 hours so that you have the most up-to-date information on the tournaments that we offer at all times.**

**Example requests of this end point:**

* Legacy URL: `https://dde-api.data.imgarena.com/tournaments?includeUnbooked=true` (includes all matches, booked and unbooked, that you may have for this tournament). This is decommissioning on 30th Sept 2026

**NEW URL:** `https://dde-api.data.srarena.io/tournaments?includeUnbooked=true`

* Legacy URL: `https://dde-api.data.imgarena.com/tournaments?dateFrom=2024-02-28&dateTo=2024-03-01` (includes all matches, booked and unbooked, that you may have for this tournament). This is decommissioning on 30th Sept 2026

**NEW URL:** `https://dde-api.data.srarena.io/tournaments?dateFrom=2024-02-28&dateTo=2024-03-01` (All matches between 28 Feb and 1 March)

## Request Parameters

**This endpoint takes the following parameters:**

| **Parameter**   | Type    | Purpose                                                                                                                                                                                                 |
| --------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| includeUnbooked | boolean | When set to true we will return a list of all tournaments for which you are licensed irrespective of whether you have booked events in them. If not specified then only booked tournaments are returned |
| dateFrom        | date    | <p>Filter the tournaments by date. Only tournaments which have events on or after the specified date will be included.<br>E.g. <code>dateFrom=2024-06-01</code></p>                                     |
| dateTo          | date    | <p>Filter the tournaments by date. Only tournaments which have events on or before the specified date will be included.<br>E.g. <code>dateTo=2024-06-30</code></p>                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/tournaments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
